Commit 91eb8225 authored by Addshore's avatar Addshore 🏄
Browse files

CI: Basic test for gitlab command

parent 075e10ca
...@@ -77,7 +77,22 @@ build: ...@@ -77,7 +77,22 @@ build:
script: script:
- make - make
integration:
integration-general:
stage: integration
needs: [checks,test,build]
dependencies:
- build
parallel:
matrix:
- TEST: general-commands.sh
before_script:
# libc6-compat needed because https://stackoverflow.com/questions/36279253/go-compiled-binary-wont-run-in-an-alpine-docker-container-on-ubuntu-host
- apk add --no-cache libc6-compat
script:
- ./tests/$TEST
integration-docker:
stage: integration stage: integration
needs: [checks,test,build] needs: [checks,test,build]
dependencies: dependencies:
...@@ -120,7 +135,7 @@ release-upload: ...@@ -120,7 +135,7 @@ release-upload:
only: only:
- tags - tags
stage: release-upload stage: release-upload
needs: [integration, release-build] needs: [integration-general, integration-docker, release-build]
dependencies: dependencies:
- release-build - release-build
# Has 1 requirement of curl, could be replaced by a wmf releng image? # Has 1 requirement of curl, could be replaced by a wmf releng image?
......
#!/usr/bin/env bash
set -e # Fail on errors
set -x # Output commands
# keep track of the last executed command
trap 'last_command=$current_command; current_command=$BASH_COMMAND' DEBUG
# echo an error message before exiting
trap 'echo "\"${last_command}\" command filed with exit code $?."' EXIT
# gitlab: Test command is registered and generally work
./bin/mw gitlab
./bin/mw gitlab alias list
\ No newline at end of file
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment